#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		kname		KIdleTime
#-----------------------------------------------------------------------------
Name		:	kidletime
Version		:	5.107.0
Release		:	14.8.0.0%{?dist}
Summary		:	KDE Frameworks 5 Tier 1 integration module for idle time detection
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	mesa-devel
BuildRequires	:	plasma-wayland-protocols-devel
BuildRequires	:	qt
BuildRequires	:	qtx11extras-devel
BuildRequires	:	wayland-protocols
#-----------------------------------------------------------------------------
%description
kidletime is a singleton reporting information on idle time. It is
useful not only for finding out about the current idle time of
the PC, but also for getting notified upon idle time events, such
as custom timeouts, or user activity.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc  README.md
%{_includedir}/KF5/%{kname}/%{kname}*
%{_includedir}/KF5/%{kname}/%{name}*.h
%{_includedir}/KF5/%{kname}/private/*.h
%{_libdir}/cmake/KF5IdleTime/*.cmake
%{_libdir}/libKF5IdleTime.so*
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTime*.so
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
